Package org.eclipse.m2m.atl.dsls.core

## Class EMFTCSExtractor

- java.lang.Object
- - org.eclipse.m2m.atl.dsls.core.EMFTCSExtractor

    public class EMFTCSExtractor
    extends java.lang.Object

A wrapper which allow to generate text from `IModel` with TCS.

### Nested Class Summary

Nested Classes
`class` `EMFTCSExtractor.EMFExtractorAdapter`

### Constructor Summary

Constructors
`EMFTCSExtractor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `extract​(EMFModel source, java.io.OutputStream target, java.util.Map params)`
`java.util.Map` `getParameterTypes()`
`java.lang.String` `getPrefix()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EMFTCSExtractor

    public EMFTCSExtractor()

### Method Detail

#### getParameterTypes

    public java.util.Map getParameterTypes()

#### getPrefix

    public java.lang.String getPrefix()

#### extract

    public void extract​(EMFModel source,
                        java.io.OutputStream target,
                        java.util.Map params)